Skip to main content
GET
/
api-keys
List API Keys
curl --request GET \
  --url https://api.cartesia.ai/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
{
  "data": [
    {
      "id": "<string>",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "creator_email": "<string>",
      "creator_still_in_org": true,
      "creator_image_url": "<string>"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Cartesia admin API key (sk_car_admin_...). Get one at play.cartesia.ai/keys/admin.

Headers

Cartesia-Version
enum<string>
required

API version header.

Available options:
2024-06-10,
2024-11-13,
2025-04-16,
2026-03-01
Example:

"2026-03-01"

Query Parameters

limit
integer | null

The number of API keys to return per page. Defaults to 20. Values above 100 are silently capped at 100.

starting_after
string | null

A cursor for forward pagination. starting_after is an API key ID that defines your place in the list; the response will include keys that come after this ID. Cannot be combined with ending_before.

ending_before
string | null

A cursor for backward pagination. ending_before is an API key ID that defines your place in the list; the response will include keys that come before this ID. Cannot be combined with starting_after.

q
string | null

Free-text query that matches against the key's description, creator name, and creator email.

Response

data
ApiKey · object[]
required

The paginated list of API keys.

has_more
boolean
required

Whether more API keys are available. Use the id of the last key in data as starting_after to fetch the next page.